# Uses of Class
javax.swing.text.StyleContext

Packages that use StyleContext
Package
Description
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.
javax.swing.text.html
Provides the class `HTMLEditorKit` and supporting classes for creating HTML text editors.

## Uses of StyleContext in javax.swing.text

Methods in javax.swing.text that return StyleContext
Modifier and Type
Method
Description
`static final StyleContext`
StyleContext.`getDefaultStyleContext()`
Returns default AttributeContext shared by all documents that don't bother to define/supply their own context.
Constructors in javax.swing.text with parameters of type StyleContext
Modifier
Constructor
Description
``
`DefaultStyledDocument(AbstractDocument.Content c, StyleContext styles)`
Constructs a styled document.
``
`DefaultStyledDocument(StyleContext styles)`
Constructs a styled document with the default content storage implementation and a shared set of styles.

## Uses of StyleContext in javax.swing.text.html

Subclasses of StyleContext in javax.swing.text.html
Modifier and Type
Class
Description
`class`
`StyleSheet`
Support for defining the visual characteristics of HTML views being rendered.